## ros-melodic-dynamixel-workbench-msgs 2.0.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(dynamixel_workbench_msgs)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  std_msgs
  message_generation
)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################
add_message_files(
  FILES
  AX.msg
  EX.msg
  MX.msg
  MX2.msg
  MX2Ext.msg
  MXExt.msg
  PRO.msg
  PROExt.msg
  RX.msg
  XH.msg
  XL.msg
  XL320.msg
  XM.msg
  XMExt.msg
  DynamixelState.msg
  DynamixelStateList.msg
  DynamixelInfo.msg
  DynamixelLoadInfo.msg
)

add_service_files(
  FILES
  GetDynamixelInfo.srv
  DynamixelCommand.srv
)

generate_messages(
  DEPENDENCIES std_msgs
)

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
   CATKIN_DEPENDS std_msgs message_runtime
)

################################################################################
# Build
################################################################################

################################################################################
# Install
################################################################################

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-melodic-dynamixel-workbench-msgs (2.0.1-0stretch) stretch; urgency=high

  * Updated the package info only
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Sat, 26 Sep 2020 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (2.0.0-0stretch) stretch; urgency=high

  * deleted unused msg and srv
  * modified for dynamixel-workbench 2.0.0
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Thu, 29 Nov 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (1.0.0-0stretch) stretch; urgency=high

  * added PROext msgs
  * deleted homing offset var
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Wed, 18 Jul 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (0.2.0-0stretch) stretch; urgency=high

  * changed package.xml to format v2
  * created .travis.yml
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Mar 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (0.1.7-0stretch) stretch; urgency=high

  * modified description
  * modified msg and srv files
  * modified package config
  * changed license
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 18 Feb 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (0.1.6-0stretch) stretch; urgency=high

  * modified for independent package
  * added dynamixel new model: XL, XM, XH, PRO
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Wed, 18 Oct 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (0.1.5-0stretch) stretch; urgency=high

  * modified the cmake of toolbox
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (0.1.4-0stretch) stretch; urgency=high

  * added dynamixel new model: XL430_W250
  * added dynamixel new model: XH
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (0.1.3-0stretch) stretch; urgency=high

  * add drive_mode in XM series
  * modified msgs files
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 28 Nov 2016 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (0.1.2-0stretch) stretch; urgency=high

  * add comment in msgs file
  * modify beta test feedback
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 30 Oct 2016 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (0.1.1-0stretch) stretch; urgency=high

  * Revert "add baudrate combobox and modify velocity controller"
    This reverts commit f4f83761d687c40660a2c864aa4fcbebe1df4ea4.
  * add baudrate combobox and modify velocity controller
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Thu, 20 Oct 2016 15:00:00 -0000

ros-melodic-dynamixel-workbench-msgs (0.1.0-0stretch) stretch; urgency=high

  * modified the package information for release
  * edit cmake and xml files
  * modify message
  * add multiport controller and torque controller
  * add position, velocity controller and pan-tilt, wheel tutorials
  * add GUI package and modify position controller
  * add pan tilt and wheel node in tutorial package
  * add tutorial package
  * add position, velocity, torque control package and change workbench_tool to workbench_toolbox
  * add dynamixel controller package
  * XL, Pro_L42 test Complete
  * AX, RX, MX, XM, PRO test complete
  * add various dynamixel motor
  * revise package
  * control and monitor dynamixel X-series using control table
  * multiple dynamixel-x(protocol 2.0) monitor and seperate package including dynamixel control function from monitor package
  * added dynamixel remote node
  * single dynamixel X-series monitoring
  * addition to dynamixel position and velocity monitoring
  * dynamixel_workbench_monitor set by .yaml
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 22 Sep 2016 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-dynamixel-workbench-msgs
Section: misc
Priority: extra
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/dynamixel_workbench_msgs
Standards-Version: 3.9.2

Package: ros-melodic-dynamixel-workbench-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: This package includes ROS messages and services for dynamixel_workbench packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dynamixel-workbench-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
